--- gfig.c	Wed Oct 21 21:54:30 1998
+++ ../../../../gimp/plug-ins/gfig/gfig.c	Sat Nov 21 20:55:48 1998
@@ -2959,7 +2981,6 @@
 	 {
 	 case BRUSH_BRUSH_TYPE:
 	   return_vals = gimp_run_procedure ("gimp_paintbrush", &nreturn_vals,
-					     PARAM_IMAGE, brush_image_ID,
 					     PARAM_DRAWABLE, layer_ID,
 					     PARAM_FLOAT,0.0,
 					     PARAM_INT32,2*GFIG_LCC,/* GIMP BUG should be 2!!!!*/
@@ -2968,7 +2989,6 @@
 	   break;
 	 case BRUSH_PENCIL_TYPE:
 	   return_vals = gimp_run_procedure ("gimp_pencil", &nreturn_vals,
-					     PARAM_IMAGE, brush_image_ID,
 					     PARAM_DRAWABLE, layer_ID,
 					     PARAM_INT32,2,
 					     PARAM_FLOATARRAY, &line_pnts[0],  
@@ -2976,7 +2996,6 @@
 	   break;
 	 case BRUSH_AIRBRUSH_TYPE:
 	   return_vals = gimp_run_procedure ("gimp_airbrush", &nreturn_vals,
-					     PARAM_IMAGE, brush_image_ID,
 					     PARAM_DRAWABLE, layer_ID,
 					     PARAM_FLOAT,(gdouble)selvals.airbrushpressure,
 					     PARAM_INT32,2,
@@ -2985,7 +3004,6 @@
 	   break;
 	 case BRUSH_PATTERN_TYPE:
 	   return_vals = gimp_run_procedure ("gimp_clone", &nreturn_vals,
-					     PARAM_IMAGE, brush_image_ID,
 					     PARAM_DRAWABLE, layer_ID,
 					     PARAM_DRAWABLE, layer_ID,
 					     PARAM_INT32, 1,
@@ -5837,7 +5855,6 @@
 
   return_vals = gimp_run_procedure ("gimp_bucket_fill",
                                     &nreturn_vals,
-				    PARAM_IMAGE, gfig_image,
 				    PARAM_DRAWABLE, gfig_drawable,
 				    PARAM_INT32, selopt.fill_type, /* Fill mode */
 				    PARAM_INT32, 0, /* NORMAL */
@@ -8120,7 +8137,6 @@
 	{
 	case BRUSH_BRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_paintbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.brushfade,
 					    PARAM_INT32,seg_count*2*GFIG_LCC,/* GIMP BUG should be 2!!!!*/
@@ -8129,7 +8145,6 @@
 	  break;
 	case BRUSH_PENCIL_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_pencil", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32,seg_count*2,
 					    PARAM_FLOATARRAY, &line_pnts[0],  
@@ -8137,7 +8152,6 @@
 	  break;
 	case BRUSH_AIRBRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_airbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.airbrushpressure,
 					    PARAM_INT32,seg_count*2,
@@ -8146,7 +8160,6 @@
 	  break;
 	case BRUSH_PATTERN_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_clone", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32, 1,
@@ -8593,7 +8606,6 @@
     return;
 
   return_vals = gimp_run_procedure ("gimp_edit_stroke", &nreturn_vals,
-				    PARAM_IMAGE, gfig_image,
 				    PARAM_DRAWABLE, gfig_drawable,
 				    PARAM_END);
 
@@ -8983,7 +8995,6 @@
 	{
 	case BRUSH_BRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_paintbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.brushfade,
 					    PARAM_INT32,(i/2)*2*GFIG_LCC,/* GIMP BUG should be 2!!!!*/
@@ -8992,7 +9003,6 @@
 	  break;
 	case BRUSH_PENCIL_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_pencil", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32,(i/2)*2,
 					    PARAM_FLOATARRAY, &line_pnts[0],  
@@ -9000,7 +9010,6 @@
 	  break;
 	case BRUSH_AIRBRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_airbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.airbrushpressure,
 					    PARAM_INT32,(i/2)*2,
@@ -9009,7 +9018,6 @@
 	  break;
 	case BRUSH_PATTERN_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_clone", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32, 1,
@@ -9130,7 +9138,6 @@
     return;
 
   return_vals = gimp_run_procedure ("gimp_edit_stroke", &nreturn_vals,
-				    PARAM_IMAGE, gfig_image,
 				    PARAM_DRAWABLE, gfig_drawable,
 				    PARAM_END);
 
@@ -9621,7 +9628,6 @@
 	{
 	case BRUSH_BRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_paintbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.brushfade,
 					    PARAM_INT32,(i/2)*2*GFIG_LCC,/* GIMP BUG should be 2!!!!*/
@@ -9630,7 +9636,6 @@
 	  break;
 	case BRUSH_PENCIL_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_pencil", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32,(i/2)*2,
 					    PARAM_FLOATARRAY, &line_pnts[0],  
@@ -9638,7 +9643,6 @@
 	  break;
 	case BRUSH_AIRBRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_airbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.airbrushpressure,
 					    PARAM_INT32,(i/2)*2,
@@ -9647,7 +9651,6 @@
 	  break;
 	case BRUSH_PATTERN_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_clone", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32, 1,
@@ -10594,7 +10597,6 @@
 	{
 	case BRUSH_BRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_paintbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.brushfade,
 					    PARAM_INT32,(i/2)*2*GFIG_LCC,/* GIMP BUG should be 2!!!!*/
@@ -10603,7 +10605,6 @@
 	  break;
 	case BRUSH_PENCIL_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_pencil", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32,(i/2)*2,
 					    PARAM_FLOATARRAY, &line_pnts[0],  
@@ -10611,7 +10612,6 @@
 	  break;
 	case BRUSH_AIRBRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_airbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.airbrushpressure,
 					    PARAM_INT32,(i/2)*2,
@@ -10620,7 +10620,6 @@
 	  break;
 	case BRUSH_PATTERN_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_clone", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32, 1,
@@ -11170,7 +11169,6 @@
 	{
 	case BRUSH_BRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_paintbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.brushfade,
 					    PARAM_INT32,(i/2)*2*GFIG_LCC,/* GIMP BUG should be 2!!!!*/
@@ -11179,7 +11177,6 @@
 	  break;
 	case BRUSH_PENCIL_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_pencil", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32,(i/2)*2,
 					    PARAM_FLOATARRAY, &line_pnts[0],  
@@ -11187,7 +11184,6 @@
 	  break;
 	case BRUSH_AIRBRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_airbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.airbrushpressure,
 					    PARAM_INT32,(i/2)*2,
@@ -11196,7 +11192,6 @@
 	  break;
 	case BRUSH_PATTERN_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_clone", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32, 1,
@@ -11677,7 +11672,6 @@
 	{
 	case BRUSH_BRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_paintbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.brushfade,
 					    PARAM_INT32,(i/2)*2*GFIG_LCC,/* GIMP BUG should be 2!!!!*/
@@ -11686,7 +11680,6 @@
 	  break;
 	case BRUSH_PENCIL_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_pencil", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32,(i/2)*2,
 					    PARAM_FLOATARRAY, &line_pnts[0],  
@@ -11694,7 +11687,6 @@
 	  break;
 	case BRUSH_AIRBRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_airbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.airbrushpressure,
 					    PARAM_INT32,(i/2)*2,
@@ -11703,7 +11695,6 @@
 	  break;
 	case BRUSH_PATTERN_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_clone", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32, 1,
@@ -12210,7 +12201,6 @@
 	{
 	case BRUSH_BRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_paintbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.brushfade,
 					    PARAM_INT32,(i/2)*2*GFIG_LCC,/* GIMP BUG should be 2!!!!*/
@@ -12219,7 +12209,6 @@
 	  break;
 	case BRUSH_PENCIL_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_pencil", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32,(i/2)*2,
 					    PARAM_FLOATARRAY, &line_pnts[0],  
@@ -12227,7 +12216,6 @@
 	  break;
 	case BRUSH_AIRBRUSH_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_airbrush", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_FLOAT,(gdouble)selvals.airbrushpressure,
 					    PARAM_INT32,(i/2)*2,
@@ -12236,7 +12224,6 @@
 	  break;
 	case BRUSH_PATTERN_TYPE:
 	  return_vals = gimp_run_procedure ("gimp_clone", &nreturn_vals,
-					    PARAM_IMAGE, gfig_image,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_DRAWABLE, gfig_drawable,
 					    PARAM_INT32, 1,
